4.5 requested got 4.6

Installing, Configuring, Troubleshooting server daemons such as Web and Mail
Post Reply
Born2Wonder
Posts: 11
Joined: 2006/03/07 02:55:52

4.5 requested got 4.6

Post by Born2Wonder » 2008/05/18 00:29:06

Hi All,
I'm not very experienced with Linux but I'm learning all the time. I have been running Centos 4.4 for a year now on my web server. It has run perfectly and I've been very pleased.

I want to try out a program called Dimdim, but the dimdim installer requires Centos 4.5. To upgrade my server I ran the following:

-----------------------------------------------------------------------------------------------
rpm --import http://vault.centos.org/4.5/os/i386/RPM-GPG-KEY-centos4

wget http://vault.centos.org/4.5/os/i386/CentOS/RPMS/centos-release-4-4.3.i386.rpm
wget http://vault.centos.org/4.5/os/i386/CentOS/RPMS/yum-2.4.3-3.el4.centos.noarch.rpm

rpm -Uvh --force centos-release-4-4.3.i386.rpm yum-2.4.3-3.el4.centos.noarch.rpm

yum upgrade
----------------------------------------------------------------------------------------------

After rebooting, everything appeared fine until I checked the version by running:

cat /etc/redhat-release

This told me that I had skipped version 4.5 and gone directly to 4.6 (final).

Can anyone tell me what went wrong and how do I downgrade to 4.5?

Thanks in advance for any direction.

User avatar
toracat
Forum Moderator
Posts: 7439
Joined: 2006/09/03 16:37:24
Location: California, US
Contact:

Re: 4.5 requested got 4.6

Post by toracat » 2008/05/18 01:57:46

Nothing went wrong actually. If you update/upgrade, your system becomes up-to-date, which is CentOS 4.6.

My suggestion is to talk to the Dimdim people and ask what it is that is limiting the installation to CentOS 4.5. If it indeed requires this particular point release, you will be in trouble because that would make it difficult for you to keep the system up-to-date with security patches.

Born2Wonder
Posts: 11
Joined: 2006/03/07 02:55:52

Re: 4.5 requested got 4.6

Post by Born2Wonder » 2008/05/18 03:11:46

Thanks for your reply.

Dimdim was only recently released and there's currently only one installer which happens to be for Centos 4.5. They say that this is temporary so I won't have to go without security updates for very long; however to install the product I need Centos 4.5. Is there anyway to roll back to 4.5?

User avatar
toracat
Forum Moderator
Posts: 7439
Joined: 2006/09/03 16:37:24
Location: California, US
Contact:

Re: 4.5 requested got 4.6

Post by toracat » 2008/05/18 04:24:37

What I meant to ask (or wanted to find out) is what Dimdim would check to determine the CentOS version to be 4.5. If it is reading /etc/redhat-release or /etc/issue for that, you could edit the file and change it to 4.5. However, this might break other applications or system utilities. The best way to "roll back" would be to reinstall 4.5 from the CentOS-4.5 media.

Born2Wonder
Posts: 11
Joined: 2006/03/07 02:55:52

Re: 4.5 requested got 4.6

Post by Born2Wonder » 2008/05/19 16:38:40

Thanks again for replying, Toracat.

[quote]
What I meant to ask (or wanted to find out) is what Dimdim would check to determine the CentOS version to be 4.5. [/quote]

That we don't know. As with most recently release open source projects, documentation always is the last to arrive. All they say is "Installer support for 32 bit centos 4.5 only"

[quote]The best way to "roll back" would be to reinstall 4.5 from the CentOS-4.5 media.[/quote]

That's what I thought you were going to say; however, if I have to reinstall anyway, I may as well try running the installer under 4.6. If it breaks, nothing is lost and I simply reinstall version 4.5

I shall post my progress so that someone else may benefit.

Thanks again.

michaelnel
Posts: 1478
Joined: 2006/05/29 16:50:11
Location: San Francisco, CA

Re: 4.5 requested got 4.6

Post by michaelnel » 2008/05/20 17:19:24

Lots of installers just parse /etc/redhat-release to find out the version. You might try editing it so it says 4.5 instead of 4.6 and the install may work just fine. Change it back to say 4.6 after the install.

Post Reply

Return to “CentOS 4 - Server Support”